<h2 mat-dialog-title>Change Status</h2>

<div class="example-container">
  <mat-dialog-content class="mat-typography">
    <form [formGroup]="form">
  
      
    <mat-form-field style="width: 100%;">
        <mat-select placeholder="Select" formControlName="status" name="status">
          <mat-option value=true>Active</mat-option>
          <mat-option value=false>Inactive</mat-option>
          <mat-option value="delete">Delete</mat-option>
        </mat-select>
      </mat-form-field>
  
  </form>
</mat-dialog-content>
  <mat-dialog-actions align="end">
    <button mat-button  [mat-dialog-close]="null">Cancel</button>
    <button mat-raised-button color="primary" [mat-dialog-close]="form.value" [disabled]="form.status == 'INVALID'" cdkFocusInitial>Submit</button>
  </mat-dialog-actions>
</div>